Bug 533 - rpm -v flags mode discrepancies on many symlinks
rpm -v flags mode discrepancies on many symlinks
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
5.2
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1998-12-18 19:30 EST by Joe Harrington
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-01-12 10:43:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Harrington 1998-12-18 19:30:48 EST
This report has to do with libungif and libungif-devel,
which are not listed as components on the bug entry page.

rpm -v flags mode discrepancies on many symlinks.  They are
mode 755 or 644 in the package but get installed mode 777
(and it is impossible to change them to any other mode with
chmod).

libungif-3.0-4
.M......   /usr/lib/libgif.so.3
.M......   /usr/lib/libgif.so.3.0.0
libungif-devel-3.0-4
.M......   /usr/lib/libgif.a
.M......   /usr/lib/libgif.so
.M......   /usr/lib/libungif.so
Comment 1 Derek Tattersall 1998-12-21 10:42:59 EST
see bug 528
Comment 2 Jeff Johnson 1999-01-12 10:43:59 EST
iFixed in recent versions of rpm-2.5.x/rpm-2.90.x.

Note You need to log in before you can comment on or make changes to this bug.